# FTP Upload

**FTPUpload** uploads a file to an FTP-site.

***

## Properties

### Connection

Use the [Connection Editor](/reference/plugins/ftp/sharedproperties/connectioneditor.md) to provide the connection values for connecting to the FTP server.

### Keep file name

If selected, the file will be uploaded with the same file name as the original.

### Remote path

If [Keep file name](#keep-file-name) is selected, the folder on the FTP-site where the file will be uploaded. Otherwise, both the folder path and the file name must be provided.

If a file with the same name already exists in the folder on the FTP-site, it will be overwritten.

### Source file path

The local file path to the file to upload.

### Create directory

Select to create the directory if it does not exist.

***

## Links

[Wikipedia: File Transfer Protocol](http://en.wikipedia.org/wiki/File_Transfer_Protocol)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/ftp/content/ftpupload.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
